table table.txt

;List of %AddOWMessage macros goes here.
;First argument is the message label, second is translevel number,
;third is whether it's a spoiler or not. Main patch sets defines for
; !True = 1 : !False = 0.

;List must end with a call of %FinalizeOWMessages macro.

;Each message must start with a byte that indicates how
;many lines of text there are (max that can be safely
;displayed is 20).
;Each line must have at most 26 characters in it, and
;must end with a $FF byte (not included in the count).

;Actual message data must start with the label Message,
;which signals where the table starts.

;Here's an example, replace this with your own messages:

;================

	%AddOWMessage(msg104,$104,!False)
	%AddOWMessage(msg003,$003,!True)
	%AddOWMessage(msg006,$006,!True)
	%AddOWMessage(msg01D,$01D,!True)
	%AddOWMessage(msg01E,$01E,!True)
	%AddOWMessage(msg021,$021,!False)
	%AddOWMessage(msg10A,$10A,!True)
	%AddOWMessage(msg13B,$13B,!False)

	%FinalizeOWMessages()
	
	Message: ;Do not move or delete this label.
	
	msg104: ; Horse's House
	 db 9
	 db "In Japanese, Yoshi is",$FF
	 db "often referred to as",$FF
	 db "'Detteiu', a somewhat",$FF
	 db "insulting term which",$FF
	 db "refers to the sound effect",$FF
	 db "he makes when you mount",$FF
	 db "him. In this translation,",$FF
	 db "he is referred to by the",$FF
	 db "name {Horse}.",$FF
	
	msg003: ; The Maze of Galious
	 db 10
	 db "This level shares its",$FF
	 db "name and overall",$FF
	 db "aesthetic with the NES",$FF
	 db "version of the",$FF
	 db "MSX Metroidvania,",$FF
	 db "{The Maze of Galious}.",$FF
	 db "Much like the level, the",$FF
	 db "game is known for it's",$FF
	 db "various traps and cryptic",$FF
	 db "secrets.",$FF
	
	msg006: ; Go! Go! Mario!!
	 db 9
	 db "This level's name is",$FF
	 db "a reference to",$FF
	 db "World 4-1 from",$FF
	 db "{Super Mario World 2:",$FF
	 db "Yoshi's Island}, which",$FF
	 db "contains a segment",$FF
	 db "towards the end similar",$FF
	 db "to the gameplay of this",$FF
	 db "level.",$FF
	
	msg01D: ; Lemmy's Delicious Restaurant
	 db 9
	 db "This level's name is a",$FF
	 db "pun based on the 2007",$FF
	 db "movie {Ratatouille},",$FF
	 db "which is known in Japan",$FF
	 db "as {Remy's Delicious",$FF
	 db "Restaurant}.",$FF
	 db "Both Lemmy and Remy's",$FF
	 db "names are spelled the",$FF
 	 db "same in Japanese.",$FF

	msg01E: ; The Arrival of Black Ships!
	 db 16
	 db "The textbox as well",$FF
	 db "as the level name",$FF
	 db "reference",$FF
	 db "Matthew C. Perry,",$FF
	 db "who arrived in Japan",$FF
	 db "with his 'Black Ship",$FF
	 db "Fleet' during the 1850s",$FF
	 db "with the intention of",$FF
	 db "opening Japan up to",$FF
	 db "American Trade.",$FF
	 db "The textbox at",$FF
	 db "the end of the level",$FF
	 db "references a humorous",$FF
	 db "flash video parodying",$FF
	 db "Perry's desire to trade",$FF
	 db "with Japan.",$FF

	msg021: ; Cookie Climb
	 db 8
	 db "In the original hack,",$FF
	 db "'Senbei' is used in place",$FF
	 db "'Cookie', much like the",$FF
	 db "world 4 location in",$FF
	 db "Super Mario World.",$FF
	 db "In this translation, it",$FF
	 db "is swapped for the",$FF
	 db "official localized name.",$FF

	msg10A: ; Anacron
	 db 10
	 db "This level's name",$FF
	 db "refers to the computer",$FF
	 db "program {Anacron},",$FF
	 db "which can be used to",$FF
	 db "schedule maintenance",$FF
	 db "tasks on Linux systems.",$FF
	 db "The tileset within the",$FF
	 db "level is based off of",$FF
	 db "the User Interface",$FF
	 db "used by Windows 11.",$FF

	msg13B: ; Tower of Giants
	 db 15
	 db "WARNING: final boss",$FF
	 db "spoilers ahead!",$FF
	 db $FF
	 db "The final boss is a",$FF
	 db "parody of the boss",$FF
	 db "{Boss X} from the PSX",$FF
	 db "JRPG {Saga Frontier},",$FF
	 db "who shows up as an",$FF
	 db "unannounced final boss",$FF
	 db "in a similar fashion",$FF
	 db "during Red's Campaign.",$FF
	 db "In this fight, Boss X's",$FF
	 db "head is replaced with",$FF
	 db "that of Yoshi's, giving",$FF
	 db "it the name {Boss Y}.",$FF

;================